Subject: bug#49228: guix import go fails when module does not have a documenation on pkg.go.dev

From: zimoun <[email-masked]>
Date: Mon, 28 Jun 2021 18:24:16 +0200

Hi,

On Mon, 28 Jun 2021 at 08:59, Björn Höfling
<[email-masked]> wrote:

> I pushed your patch as
>
> 9d9152425e96c408357d0f4961767a5c08076c13

Here, there is a tiny typo. :-)

--8<---------------cut here---------------start------------->8---
 ;;; Copyright © 2021 Ludovic Courtès <[email-masked]>
 ;;; Copyright © 2021 Xinglu Chen <[email-masked]>
+;; Copyright © 2021 Sarah Morgensen <[email-masked]>
 ;;;
 ;;; This file is part of GNU Guix.
--8<---------------cut here---------------end--------------->8---

> > > Additionally, it would be nice if the go-module->guix-package would
> > > print out the module it would fetch next (like I did above). Then
> > > the broken module would be easier to find in recursive mode.
> >
> > Error reporting in the importers is currently pretty inconsistent and
> > could use a lot of improvement. You might be interested in taking a
> > look at the PATCH v3 in <https://issues.guix.gnu.org/49196> which
> > somewhat addresses this. Comments are always welcome! :)
>
> Good to know. I will have a look at these patches the next days/weeks.

If v4 is good enough to be merged, then feel free to push it. :-)

Cheers,
simon